People in a community
GET /api/member/communities/{communityId}/directory. People in a community. Headless LMS Communities API reference.
For a member of the community: everyone who holds it, with their public profile. 404 when the viewer is not a member.
Path Parameters
communityId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
Matches part of a display name
Length
length <= 100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/communities/string/directory"{ "rows": [ { "orgUserId": "string", "role": "string", "displayName": "string", "headline": "string", "bio": "string", "imageAssetId": "string", "imageUrl": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}One space as a member sees it GET
GET /api/member/communities/{communityId}/spaces/{spaceId}. One space as a member sees it. Headless LMS Communities API reference.
List the members of a space GET
GET /api/member/communities/{communityId}/spaces/{spaceId}/members. List the members of a space. Headless LMS Communities API reference.